<!DOCTYPE html lang="en">
<html>

<head>
    <link rel="shortcut icon" href="{{ url_for('static', filename='images/fav.ico') }}">
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>{% block title %}{% endblock %} - Tweet-it</title>
    <meta name="viewport" content="minimum-scale=1, initial-scale=1, width=device-width">
    <!-- Compiled and minified CSS -->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/icon.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <link  rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/message.min.css">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/main.css') }}">
    {% if g.user %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/search.min.css">
    {% endif %}
    {% block styles %}
    {% endblock %}
</head>

<body>

    <div class="navigation navbar-fixed">
        <nav>
            <div class="nav-wrapper navigation">
                <ul class="left">
                    <li class="middle aligned content"><a href="{{ url_for('tweet.index') }}"><i aria-hidden="true" class="big twitter icon"></i></a></li>
                </ul>
                <ul class="right">
                    {% if g.user %}
                    <li>
                        <div class="ui category search">
                            <div class="ui icon input">
                                <form method="post" id="search">
                                    <input class="prompt" type="text" name="query" placeholder="Search tweets...">
                                </form>
                            </div>
                        </div>
                    </li>
                    <li id="tweet"><a class="btn btn-floating waves-effect waves-light blue" href="{{ url_for('tweet.create') }}"><i
                                class="material-icons">add</i></a></li>
                    <li><span><a href="{{ url_for('user.get_user', id=g.user.id) }}">{{ g.user['name'].capitalize() }}</a></span>
                    <li><a href="{{ url_for('auth.logout') }}"><i aria-hidden="true" class="sign out icon"></i></a></li>
                    {% else %}
                    <li><a href="{{ url_for('auth.register') }}">Sign Up</a></li>
                    <li><a href="{{ url_for('auth.login') }}">Log In</a></li>
                    {% endif %}

                </ul>
            </div>
        </nav>
    </div>
    <section class="content">
        {% for message in get_flashed_messages() %}
        <div class="ui success tiny message">
            <div class="header">
                {{ message }}
            </div>
        </div>
        {% endfor %}
        <div class="row">
            <div class="col s3">{% block profile %}{% endblock %}</div>
            <div class="col s6 main-block"> {% block content %}{% endblock %}</div>
            <div class="col s3">{% block sidebar %}{% endblock %}</div>
        </div>
    </section>

    <!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.23.0/moment.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8="
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <script src="{{ url_for('static', filename='js/moment.js') }}"></script>
    {% if g.user %}
    <script src="{{ url_for('static', filename='js/searchedTweets.js') }}"></script>
    {% endif %}
    {% block script %}
    {% endblock %}
</body>

</html>
